%define major       6
%define libname     %mklibname %oname %major
%define develname   %mklibname %oname -d
%define docname     %name-docs

%define oname       lscp

Name:          liblscp
Summary:       LinuxSampler Control Protocol (LSCP) wrapper library
Version:       1.0.1
Release:       %mkrel 2
License:       LGPLv2
Group:         System/Libraries
URL:           https://www.linuxsampler.org/
Source0:       https://sourceforge.net/projects/qsampler/files/liblscp/%{version}/%{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: doxygen

%description
LinuxSampler Control Protocol (LSCP) wrapper library.

#--------------------------------------------------------------------

%package -n     %libname
Summary:        Libraries for %name
Group:          System/Libraries
Provides:       %name = %version-%release

%description -n %libname
LinuxSampler Control Protocol (LSCP) wrapper library.

%files -n %libname
%{_libdir}/liblscp.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n     %develname
Summary:        Development libraries for %name
Group:          Development/Other
Requires:       %libname = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{oname}-devel = %{version}-%{release}

%description -n %develname
Development libraries from %oname.

%files -n %develname
%license LICENSE
%dir %{_includedir}/lscp
%{_includedir}/lscp/*.h
%{_libdir}/liblscp.so
%{_libdir}/pkgconfig/lscp.pc

#------------------------------------------------------------------

%package -n     %docname
Group:          Development/Other
Summary:        Docs for %name
BuildArch:      noarch
Provides:       %{oname}-docs = %{version}-%{release}

%description -n %docname
Docs for %oname.

%files -n %docname
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/html

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake -DCMAKE_INSTALL_PREFIX=%{_usr} \
       -DCMAKE_INSTALL_LIBDIR=%{_lib}

%cmake_build

%install
%cmake_install


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.0.1-2.mga10
+ Revision: 2250297
- Mageia 10 Mass Rebuild

* Tue Apr 01 2025 daviddavid <daviddavid> 1.0.1-1.mga10
+ Revision: 2172314
- new version: 1.0.1

* Wed Jun 19 2024 daviddavid <daviddavid> 1.0.0-1.mga10
+ Revision: 2075517
- new version: 1.0.0

* Sun Jan 28 2024 daviddavid <daviddavid> 0.9.12-2.mga10
+ Revision: 2035664
- fix dependencies, a noarch pkg can't requires arch dependent libraries

* Fri Jan 26 2024 philippedidier <philippedidier> 0.9.12-1.mga10
+ Revision: 2035241
- new version 0.9.12

* Wed Sep 20 2023 daviddavid <daviddavid> 0.9.11-1.mga10
+ Revision: 1988611
- new version: 0.9.11

* Mon Jun 05 2023 daviddavid <daviddavid> 0.9.10-3.mga9
+ Revision: 1961024
- do not hard require an arch dependent lib on a noarch pkg

* Mon Jun 05 2023 philippedidier <philippedidier> 0.9.10-2.mga9
+ Revision: 1960975
- split docs in a noarch sub-package

* Sun Jun 04 2023 philippedidier <philippedidier> 0.9.10-1.mga9
+ Revision: 1960893
- new version 0.9.10   correct pkgconfig

* Wed Dec 28 2022 daviddavid <daviddavid> 0.9.8-1.mga9
+ Revision: 1927400
- new version: 0.9.8

* Fri Oct 14 2022 barjac <barjac> 0.9.7-1.mga9
+ Revision: 1896820
- new version 0.9.7

* Mon Jul 25 2022 philippedidier <philippedidier> 0.9.6-1.mga9
+ Revision: 1871541
- new version 0.9.6

* Thu Mar 17 2022 umeabot <umeabot> 0.9.5-2.mga9
+ Revision: 1796847
- Mageia 9 Mass Rebuild

* Tue Feb 01 2022 barjac <barjac> 0.9.5-1.mga9
+ Revision: 1770886
- new version 0.9.5
- switch to cmake only upstream
- add license drop copying and change to LGPLv2

* Wed May 19 2021 daviddavid <daviddavid> 0.9.3-1.mga9
+ Revision: 1725593
- new version: 0.9.3

* Wed Mar 17 2021 daviddavid <daviddavid> 0.9.2-1.mga9
+ Revision: 1704017
- new version: 0.9.2

* Thu Feb 25 2021 daviddavid <daviddavid> 0.9.1-1.mga9
+ Revision: 1690900
- new version: 0.9.1

* Sat Dec 19 2020 daviddavid <daviddavid> 0.9.0-1.mga8
+ Revision: 1661143
- new version: 0.9.0

* Sun Mar 29 2020 daviddavid <daviddavid> 0.6.2-1.mga8
+ Revision: 1562089
- new version: 0.6.2

* Tue Feb 18 2020 umeabot <umeabot> 0.6.1-2.mga8
+ Revision: 1541325
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 22 2019 daviddavid <daviddavid> 0.6.1-1.mga8
+ Revision: 1469594
- new version: 0.6.1

* Thu Oct 17 2019 daviddavid <daviddavid> 0.6.0-1.mga8
+ Revision: 1454281
- new version: 0.6.0
- drop static libraries

* Sun Sep 23 2018 umeabot <umeabot> 0.5.8-2.mga7
+ Revision: 1298969
- Mageia 7 Mass Rebuild

* Fri Dec 22 2017 barjac <barjac> 0.5.8-1.mga7
+ Revision: 1183742
- new version 0.5.8
- cleaned up spec and fixed SOURCE0

* Mon Feb 15 2016 umeabot <umeabot> 0.5.7-2.mga6
+ Revision: 961074
- Mageia 6 Mass Rebuild

* Fri Oct 23 2015 barjac <barjac> 0.5.7-1.mga6
+ Revision: 894737
- new version 0.5.7

* Wed Oct 15 2014 umeabot <umeabot> 0.5.6.2-0.2671.3.mga5
+ Revision: 750597
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.6.2-0.2671.2.mga5
+ Revision: 681582
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 barjac <barjac> 0.5.6.2-0.2671.1.mga5
+ Revision: 670942
- new snapshot 2671

* Tue May 13 2014 barjac <barjac> 0.5.6.2-0.2546.3.mga5
+ Revision: 622384
- new snapshot 2546
- use parallel build
- use find --delete

* Sat Oct 19 2013 umeabot <umeabot> 0.5.6.2-0.2459.2.mga4
+ Revision: 531789
- Mageia 4 Mass Rebuild

* Sun Aug 11 2013 barjac <barjac> 0.5.6.2-0.2459.1.mga4
+ Revision: 465349
- new snapshot 2459
- remove obsolete patch
- remove *.la rather than %%exclude

* Sat Jan 12 2013 umeabot <umeabot> 0.5.6.2-0.2379.3.mga3
+ Revision: 357719
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 barjac <barjac> 0.5.6.2-0.2379.2.mga3
+ Revision: 349503
- prepare spec for revision/release changes

* Tue Jan 08 2013 cjw <cjw> 0.5.6.2-0.2379.1.mga3
+ Revision: 341499
- patch1: fix build with automake 1.13
- set version number to internal version

* Tue Nov 13 2012 barjac <barjac> 0.5.6-0.2379.mga3
+ Revision: 317285
- new svn snapshot
- spec cleaned
- thanks to Philippe Didier
- added small script for making tarball to sources
- Import from Mandriva


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.6-3mdv2011.0
+ Revision: 620149
- the mass rebuild of 2010.0 packages

* Fri Aug 28 2009 Emmanuel Andry <eandry@mandriva.org> 0.5.6-2mdv2010.0
+ Revision: 421793
+ rebuild (emptylog)

* Thu Aug 27 2009 Emmanuel Andry <eandry@mandriva.org> 0.5.6-1mdv2010.0
+ Revision: 421760
- New version 0.5.6
- apply libraries policy
- new major 6

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.5.5-4mdv2009.0
+ Revision: 248973
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Dec 16 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.5.5-2mdv2008.1
+ Revision: 120465
- Fix packages name

* Sat Dec 15 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.5.5-1mdv2008.1
+ Revision: 120452
- import liblscp


